Bug 489004 - Newly joined node may end up with duplicate enqueue events on replication queue
Newly joined node may end up with duplicate enqueue events on replication queue
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
All Linux
high Severity high
: 1.1.1
: ---
Assigned To: Gordon Sim
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 12:31 EST by Gordon Sim
Modified: 2015-11-15 19:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 14:50:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2009-03-06 12:31:59 EST
State for replication queue will be transfered to the newly joining node therefore event generation should be suppressed when enqueing messages on other queues as part of the catchup.
Comment 1 Gordon Sim 2009-03-09 12:02:08 EDT
Fixed by r751719.

Test procedure (e.g.):

(1) start primary cluster node (node_1), 
(2) declare queue with --generate-queue-events 2, 
(3) send messages to this node,
(4) consume half of those messages (again through connecting to this node) 
(5) now add second node to that cluster (node_2), 
(6) start a dr broker and establish a bridge from node_2 to that broker, 
(7) check that replication to dr broker works and that only expected messages are on the replicated queue

There is a test checked into qpid svn (clustered_replication_test) that may be useful and is run during make check.
Comment 2 Martin Kudlej 2009-04-17 08:49:15 EDT
Tested on r750054 and it didn't work as I expected.
Testend on r752581 and it works. clustered_replication_test passed.
-->VERIFIED

Note You need to log in before you can comment on or make changes to this bug.